Name: axiom
Version: 3.0
Release: alt0.01
Summary: Axiom Computer Algebra System
Summary (ru_RU.UTF-8): Система аналитических вычислений Axiom
License: Modified BSD License
Group: Sciences/Mathematics
Url: http://savannah.nongnu.org/projects/axiom
Packager: Vadim V. Zhytnikov <vvzhy@altlinux.ru>

Source0: axiom-cvs-20031120.tar.bz2
Source1: axiom

Patch1: axiom-build-hack.patch

BuildRequires: libreadline-devel libncurses-devel tcl-devel tk-devel libiberty-devel libbfd-devel-static tetex tetex-latex texinfo lynx sed gawk coreutils diffutils

%description
Axiom is a general purpose Computer Algebra system. It is useful for
research and development of mathematical algorithms. It defines a 
strongly typed, mathematically correct type hierarchy. It has a 
programming language and a built-in compiler. 
 
Axiom has been in development since 1973 and was sold as a 
commercial product. It has been released as free software. 
 
Efforts are underway to extend this software to (a) develop a 
better user interface (b) make it useful as a teaching tool 
(c) develop an algebra server protocol (d) integrate additional 
mathematics (e) rebuild the algebra in a literate programming style 
(f) integrate logic programming (g) develop an Axiom Journal with 
refereed submissions.

%description -l ru_RU.UTF-8
Axiom является универсальной системой аналитических вычислений
и может использоваться для научных исследований и развития
математических алгоритмов.  Axiom является строго типизированной
системой с математически корректной иерархией типов.  Система 
имеет собственный язык программирования и встроенный компилятор.

Axiom развивается с 1973 года и ранее распространялась как 
коммерческий продукт.  Сейчас система выпущена под свободной
програмной лицензией.


%prep 
%setup -n%name

%patch1 -p1

%build

export AXIOM=%_builddir/%name/mnt/linux
export PATH=$AXIOM/bin:$PATH

make


%install

install -d %buildroot%_bindir

make INSTALL=%buildroot%_libdir/%name COMMAND=%buildroot%_bindir/%name install

install -D -m755 %SOURCE1 %buildroot%_bindir/%name


%files
%_bindir/%name
%_libdir/%name


%changelog
* Sun Nov 30 2003 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 3.0-alt0.01
- Initial ALT Linux release.

